This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259406 - ipython: XSS via local folder name [fedora-all]
ipython: XSS via local folder name [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2015-6938
  Show dependency treegraph
 
Reported: 2015-09-02 10:15 EDT by Martin Prpič
Modified: 2015-09-25 03:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.4.1-8.fc21 ipython-3.2.1-3.fc23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 03:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-09-02 10:15:26 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2015-09-02 10:15:30 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1259405,1259406

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1259405,1259406
Comment 2 Fedora Update System 2015-09-03 05:52:20 EDT
ipython-3.2.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipython'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14900
Comment 3 Fedora Update System 2015-09-03 15:18:54 EDT
ipython-2.4.1-8.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipython'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14901
Comment 4 Fedora Update System 2015-09-03 15:20:38 EDT
ipython-2.4.1-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipython'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14902
Comment 5 Fedora Update System 2015-09-17 15:49:43 EDT
ipython-3.2.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16128
Comment 6 Fedora Update System 2015-09-17 21:32:03 EDT
ipython-2.4.1-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-17 23:50:55 EDT
ipython-2.4.1-8.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-09-18 20:20:57 EDT
ipython-3.2.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipython'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16128
Comment 9 Fedora Update System 2015-09-25 03:57:15 EDT
ipython-3.2.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.